Bug 1288275 - anjuta needs to be rebuilt for EL7.2
anjuta needs to be rebuilt for EL7.2
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: anjuta (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Moez Roy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-03 19:54 EST by Anssi Johansson
Modified: 2015-12-24 00:06 EST (History)
2 users (show)

See Also:
Fixed In Version: anjuta-3.14.1-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-24 00:06:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anssi Johansson 2015-12-03 19:54:35 EST
Description of problem:
anjuta depends on libvala-0.20.so.0()(64bit), provided by vala-0.20.1-3.el7.x86_64 in RHEL 7.1.

vala was updated in RHEL 7.2, and the updated vala packages provides libvala-0.26.so.0()(64bit). This means anjuta will need to be rebuilt against the new vala to be usable on RHEL 7.2

Version-Release number of selected component (if applicable):
3.10.2-1.el7

Steps to Reproduce:
1. Upgrade to RHEL 7.2
2. yum install anjuta

Actual results:
See yum complain about a missing dependency

Expected results:
anjuta gets installed

Additional info:
EPEL7's builders have already been updated to RHEL 7.2, so it probably suffices to bump the release number and rebuild.
Comment 1 Yaakov Selkowitz 2015-12-03 19:57:21 EST
Even better would be a version bump to 3.14.1 to match the rest of GNOME in 7.2.
Comment 2 Fedora Update System 2015-12-05 14:23:39 EST
anjuta-3.14.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a517b30e86
Comment 3 Fedora Update System 2015-12-06 03:20:54 EST
anjuta-3.14.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update anjuta'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a517b30e86
Comment 4 Fedora Update System 2015-12-24 00:06:32 EST
anjuta-3.14.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.